net.arnx.wmf2svg.gdi

## Interface Gdi

- All Known Implementing Classes:
    SvgGdi, WmfGdi

      public interface Gdi

  Author:
    Hidekatsu Izuno

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABSOLUTE`
    `static int` | `ALTERNATE`
    `static int` | `ASPECT_FILTERING`
    `static long` | `BLACKNESS`
    `static int` | `BLACKONWHITE`
    `static int` | `COLORONCOLOR`
    `static int` | `DIB_PAL_COLORS`
    `static int` | `DIB_RGB_COLORS`
    `static long` | `DSTINVERT`
    `static int` | `ETO_CLIPPED`
    `static int` | `ETO_GLYPH_INDEX`
    `static int` | `ETO_IGNORELANGUAGE`
    `static int` | `ETO_NUMERICSLATIN`
    `static int` | `ETO_NUMERICSLOCAL`
    `static int` | `ETO_OPAQUE`
    `static int` | `ETO_PDY`
    `static int` | `ETO_RTLREADING`
    `static int` | `HALFTONE`
    `static int` | `LAYOUT_BITMAPORIENTATIONPRESERVED`
    `static int` | `LAYOUT_RTL`
    `static long` | `MERGECOPY`
    `static long` | `MERGEPAINT`
    `static int` | `MM_ANISOTROPIC`
    `static int` | `MM_HIENGLISH`
    `static int` | `MM_HIMETRIC`
    `static int` | `MM_ISOTROPIC`
    `static int` | `MM_LOENGLISH`
    `static int` | `MM_LOMETRIC`
    `static int` | `MM_TEXT`
    `static int` | `MM_TWIPS`
    `static long` | `NOTSRCCOPY`
    `static long` | `NOTSRCERASE`
    `static int` | `OPAQUE`
    `static long` | `PATCOPY`
    `static long` | `PATINVERT`
    `static long` | `PATPAINT`
    `static int` | `R2_BLACK`
    `static int` | `R2_COPYPEN`
    `static int` | `R2_MASKNOTPEN`
    `static int` | `R2_MASKPEN`
    `static int` | `R2_MASKPENNOT`
    `static int` | `R2_MERGENOTPEN`
    `static int` | `R2_MERGEPEN`
    `static int` | `R2_MERGEPENNOT`
    `static int` | `R2_NOP`
    `static int` | `R2_NOT`
    `static int` | `R2_NOTCOPYPEN`
    `static int` | `R2_NOTMASKPEN`
    `static int` | `R2_NOTMERGEPEN`
    `static int` | `R2_NOTXORPEN`
    `static int` | `R2_WHITE`
    `static int` | `R2_XORPEN`
    `static int` | `RELATIVE`
    `static long` | `SRCAND`
    `static long` | `SRCCOPY`
    `static long` | `SRCERASE`
    `static long` | `SRCINVERT`
    `static long` | `SRCPAINT`
    `static int` | `STRETCH_ANDSCANS`
    `static int` | `STRETCH_DELETESCANS`
    `static int` | `STRETCH_HALFTONE`
    `static int` | `STRETCH_ORSCANS`
    `static int` | `TA_BASELINE`
    `static int` | `TA_BOTTOM`
    `static int` | `TA_CENTER`
    `static int` | `TA_LEFT`
    `static int` | `TA_NOUPDATECP`
    `static int` | `TA_RIGHT`
    `static int` | `TA_RTLREADING`
    `static int` | `TA_TOP`
    `static int` | `TA_UPDATECP`
    `static int` | `TRANSPARENT`
    `static int` | `VTA_BASELINE`
    `static int` | `VTA_CENTER`
    `static long` | `WHITENESS`
    `static int` | `WHITEONBLACK`
    `static int` | `WINDING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `animatePalette(GdiPalette palette, int startIndex, int[] entries)`
    `void` | `arc(int sxr, int syr, int exr, int eyr, int sxa, int sya, int exa, int eya)`
    `void` | `bitBlt(byte[] image, int dx, int dy, int dw, int dh, int sx, int sy, long rop)`
    `void` | `chord(int sxr, int syr, int exr, int eyr, int sxa, int sya, int exa, int eya)`
    `GdiBrush` | `createBrushIndirect(int style, int color, int hatch)`
    `GdiFont` | `createFontIndirect(int height, int width, int escapement, int orientation, int weight, boolean italic, boolean underline, boolean strikeout, int charset, int outPrecision, int clipPrecision, int quality, int pitchAndFamily, byte[] faceName)`
    `GdiPalette` | `createPalette(int version, int[] palEntry)`
    `GdiPatternBrush` | `createPatternBrush(byte[] image)`
    `GdiPen` | `createPenIndirect(int style, int width, int color)`
    `GdiRegion` | `createRectRgn(int left, int top, int right, int bottom)`
    `void` | `deleteObject(GdiObject obj)`
    `void` | `dibBitBlt(byte[] image, int dx, int dy, int dw, int dh, int sx, int sy, long rop)`
    `GdiPatternBrush` | `dibCreatePatternBrush(byte[] image, int usage)`
    `void` | `dibStretchBlt(byte[] image, int dx, int dy, int dw, int dh, int sx, int sy, int sw, int sh, long rop)`
    `void` | `ellipse(int sx, int sy, int ex, int ey)`
    `void` | `escape(byte[] data)`
    `int` | `excludeClipRect(int left, int top, int right, int bottom)`
    `void` | `extFloodFill(int x, int y, int color, int type)`
    `void` | `extTextOut(int x, int y, int options, int[] rect, byte[] text, int[] lpdx)`
    `void` | `fillRgn(GdiRegion rgn, GdiBrush brush)`
    `void` | `floodFill(int x, int y, int color)`
    `void` | `footer()`
    `void` | `frameRgn(GdiRegion rgn, GdiBrush brush, int w, int h)`
    `void` | `header()`
    `void` | `intersectClipRect(int left, int top, int right, int bottom)`
    `void` | `invertRgn(GdiRegion rgn)`
    `void` | `lineTo(int ex, int ey)`
    `void` | `moveToEx(int x, int y, Point old)`
    `void` | `offsetClipRgn(int x, int y)`
    `void` | `offsetViewportOrgEx(int x, int y, Point point)`
    `void` | `offsetWindowOrgEx(int x, int y, Point point)`
    `void` | `paintRgn(GdiRegion rgn)`
    `void` | `patBlt(int x, int y, int width, int height, long rop)`
    `void` | `pie(int sx, int sy, int ex, int ey, int sxr, int syr, int exr, int eyr)`
    `void` | `placeableHeader(int vsx, int vsy, int vex, int vey, int dpi)`
    `void` | `polygon(Point[] points)`
    `void` | `polyline(Point[] points)`
    `void` | `polyPolygon(Point[][] points)`
    `void` | `realizePalette()`
    `void` | `rectangle(int sx, int sy, int ex, int ey)`
    `void` | `resizePalette(GdiPalette palette)`
    `void` | `restoreDC(int savedDC)`
    `void` | `roundRect(int sx, int sy, int ex, int ey, int rw, int rh)`
    `void` | `scaleViewportExtEx(int x, int xd, int y, int yd, Size old)`
    `void` | `scaleWindowExtEx(int x, int xd, int y, int yd, Size old)`
    `void` | `selectClipRgn(GdiRegion rgn)`
    `void` | `selectObject(GdiObject obj)`
    `void` | `selectPalette(GdiPalette palette, boolean mode)`
    `void` | `setBkColor(int color)`
    `void` | `setBkMode(int mode)`
    `void` | `setDIBitsToDevice(int dx, int dy, int dw, int dh, int sx, int sy, int startscan, int scanlines, byte[] image, int colorUse)`
    `void` | `setLayout(long layout)`
    `void` | `setMapMode(int mode)`
    `void` | `setMapperFlags(long flags)`
    `void` | `setPaletteEntries(GdiPalette palette, int startIndex, int[] entries)`
    `void` | `setPixel(int x, int y, int color)`
    `void` | `setPolyFillMode(int mode)`
    `void` | `setRelAbs(int mode)`
    `void` | `setROP2(int mode)`
    `void` | `setStretchBltMode(int mode)`
    `void` | `setTextAlign(int align)`
    `void` | `setTextCharacterExtra(int extra)`
    `void` | `setTextColor(int color)`
    `void` | `setTextJustification(int breakExtra, int breakCount)`
    `void` | `setViewportExtEx(int x, int y, Size old)`
    `void` | `setViewportOrgEx(int x, int y, Point old)`
    `void` | `setWindowExtEx(int width, int height, Size old)`
    `void` | `setWindowOrgEx(int x, int y, Point old)`
    `void` | `seveDC()`
    `void` | `stretchBlt(byte[] image, int dx, int dy, int dw, int dh, int sx, int sy, int sw, int sh, long rop)`
    `void` | `stretchDIBits(int dx, int dy, int dw, int dh, int sx, int sy, int sw, int sh, byte[] image, int usage, long rop)`
    `void` | `textOut(int x, int y, byte[] text)`

- - ### Field Detail

    - #### OPAQUE

          static final int OPAQUE

      See Also:
        Constant Field Values

    - #### TRANSPARENT

          static final int TRANSPARENT

      See Also:
        Constant Field Values

    - #### TA_BASELINE

          static final int TA_BASELINE

      See Also:
        Constant Field Values

    - #### TA_BOTTOM

          static final int TA_BOTTOM

      See Also:
        Constant Field Values

    - #### TA_TOP

          static final int TA_TOP

      See Also:
        Constant Field Values

    - #### TA_CENTER

          static final int TA_CENTER

      See Also:
        Constant Field Values

    - #### TA_LEFT

          static final int TA_LEFT

      See Also:
        Constant Field Values

    - #### TA_RIGHT

          static final int TA_RIGHT

      See Also:
        Constant Field Values

    - #### TA_NOUPDATECP

          static final int TA_NOUPDATECP

      See Also:
        Constant Field Values

    - #### TA_RTLREADING

          static final int TA_RTLREADING

      See Also:
        Constant Field Values

    - #### TA_UPDATECP

          static final int TA_UPDATECP

      See Also:
        Constant Field Values

    - #### VTA_BASELINE

          static final int VTA_BASELINE

      See Also:
        Constant Field Values

    - #### VTA_CENTER

          static final int VTA_CENTER

      See Also:
        Constant Field Values

    - #### ETO_CLIPPED

          static final int ETO_CLIPPED

      See Also:
        Constant Field Values

    - #### ETO_NUMERICSLOCAL

          static final int ETO_NUMERICSLOCAL

      See Also:
        Constant Field Values

    - #### ETO_NUMERICSLATIN

          static final int ETO_NUMERICSLATIN

      See Also:
        Constant Field Values

    - #### ETO_GLYPH_INDEX

          static final int ETO_GLYPH_INDEX

      See Also:
        Constant Field Values

    - #### ETO_OPAQUE

          static final int ETO_OPAQUE

      See Also:
        Constant Field Values

    - #### ETO_PDY

          static final int ETO_PDY

      See Also:
        Constant Field Values

    - #### ETO_RTLREADING

          static final int ETO_RTLREADING

      See Also:
        Constant Field Values

    - #### ETO_IGNORELANGUAGE

          static final int ETO_IGNORELANGUAGE

      See Also:
        Constant Field Values

    - #### MM_ANISOTROPIC

          static final int MM_ANISOTROPIC

      See Also:
        Constant Field Values

    - #### MM_HIENGLISH

          static final int MM_HIENGLISH

      See Also:
        Constant Field Values

    - #### MM_HIMETRIC

          static final int MM_HIMETRIC

      See Also:
        Constant Field Values

    - #### MM_ISOTROPIC

          static final int MM_ISOTROPIC

      See Also:
        Constant Field Values

    - #### MM_LOENGLISH

          static final int MM_LOENGLISH

      See Also:
        Constant Field Values

    - #### MM_LOMETRIC

          static final int MM_LOMETRIC

      See Also:
        Constant Field Values

    - #### MM_TEXT

          static final int MM_TEXT

      See Also:
        Constant Field Values

    - #### MM_TWIPS

          static final int MM_TWIPS

      See Also:
        Constant Field Values

    - #### STRETCH_ANDSCANS

          static final int STRETCH_ANDSCANS

      See Also:
        Constant Field Values

    - #### STRETCH_DELETESCANS

          static final int STRETCH_DELETESCANS

      See Also:
        Constant Field Values

    - #### STRETCH_HALFTONE

          static final int STRETCH_HALFTONE

      See Also:
        Constant Field Values

    - #### STRETCH_ORSCANS

          static final int STRETCH_ORSCANS

      See Also:
        Constant Field Values

    - #### BLACKONWHITE

          static final int BLACKONWHITE

      See Also:
        Constant Field Values

    - #### COLORONCOLOR

          static final int COLORONCOLOR

      See Also:
        Constant Field Values

    - #### HALFTONE

          static final int HALFTONE

      See Also:
        Constant Field Values

    - #### WHITEONBLACK

          static final int WHITEONBLACK

      See Also:
        Constant Field Values

    - #### ALTERNATE

          static final int ALTERNATE

      See Also:
        Constant Field Values

    - #### WINDING

          static final int WINDING

      See Also:
        Constant Field Values

    - #### R2_BLACK

          static final int R2_BLACK

      See Also:
        Constant Field Values

    - #### R2_COPYPEN

          static final int R2_COPYPEN

      See Also:
        Constant Field Values

    - #### R2_MASKNOTPEN

          static final int R2_MASKNOTPEN

      See Also:
        Constant Field Values

    - #### R2_MASKPEN

          static final int R2_MASKPEN

      See Also:
        Constant Field Values

    - #### R2_MASKPENNOT

          static final int R2_MASKPENNOT

      See Also:
        Constant Field Values

    - #### R2_MERGENOTPEN

          static final int R2_MERGENOTPEN

      See Also:
        Constant Field Values

    - #### R2_MERGEPEN

          static final int R2_MERGEPEN

      See Also:
        Constant Field Values

    - #### R2_MERGEPENNOT

          static final int R2_MERGEPENNOT

      See Also:
        Constant Field Values

    - #### R2_NOP

          static final int R2_NOP

      See Also:
        Constant Field Values

    - #### R2_NOT

          static final int R2_NOT

      See Also:
        Constant Field Values

    - #### R2_NOTCOPYPEN

          static final int R2_NOTCOPYPEN

      See Also:
        Constant Field Values

    - #### R2_NOTMASKPEN

          static final int R2_NOTMASKPEN

      See Also:
        Constant Field Values

    - #### R2_NOTMERGEPEN

          static final int R2_NOTMERGEPEN

      See Also:
        Constant Field Values

    - #### R2_NOTXORPEN

          static final int R2_NOTXORPEN

      See Also:
        Constant Field Values

    - #### R2_WHITE

          static final int R2_WHITE

      See Also:
        Constant Field Values

    - #### R2_XORPEN

          static final int R2_XORPEN

      See Also:
        Constant Field Values

    - #### BLACKNESS

          static final long BLACKNESS

      See Also:
        Constant Field Values

    - #### DSTINVERT

          static final long DSTINVERT

      See Also:
        Constant Field Values

    - #### MERGECOPY

          static final long MERGECOPY

      See Also:
        Constant Field Values

    - #### MERGEPAINT

          static final long MERGEPAINT

      See Also:
        Constant Field Values

    - #### NOTSRCCOPY

          static final long NOTSRCCOPY

      See Also:
        Constant Field Values

    - #### NOTSRCERASE

          static final long NOTSRCERASE

      See Also:
        Constant Field Values

    - #### PATCOPY

          static final long PATCOPY

      See Also:
        Constant Field Values

    - #### PATINVERT

          static final long PATINVERT

      See Also:
        Constant Field Values

    - #### PATPAINT

          static final long PATPAINT

      See Also:
        Constant Field Values

    - #### SRCAND

          static final long SRCAND

      See Also:
        Constant Field Values

    - #### SRCCOPY

          static final long SRCCOPY

      See Also:
        Constant Field Values

    - #### SRCERASE

          static final long SRCERASE

      See Also:
        Constant Field Values

    - #### SRCINVERT

          static final long SRCINVERT

      See Also:
        Constant Field Values

    - #### SRCPAINT

          static final long SRCPAINT

      See Also:
        Constant Field Values

    - #### WHITENESS

          static final long WHITENESS

      See Also:
        Constant Field Values

    - #### DIB_RGB_COLORS

          static final int DIB_RGB_COLORS

      See Also:
        Constant Field Values

    - #### DIB_PAL_COLORS

          static final int DIB_PAL_COLORS

      See Also:
        Constant Field Values

    - #### LAYOUT_BITMAPORIENTATIONPRESERVED

          static final int LAYOUT_BITMAPORIENTATIONPRESERVED

      See Also:
        Constant Field Values

    - #### LAYOUT_RTL

          static final int LAYOUT_RTL

      See Also:
        Constant Field Values

    - #### ABSOLUTE

          static final int ABSOLUTE

      See Also:
        Constant Field Values

    - #### RELATIVE

          static final int RELATIVE

      See Also:
        Constant Field Values

    - #### ASPECT_FILTERING

          static final int ASPECT_FILTERING

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### placeableHeader

          void placeableHeader(int vsx,
                             int vsy,
                             int vex,
                             int vey,
                             int dpi)

    - #### header

          void header()

    - #### animatePalette

          void animatePalette(GdiPalette palette,
                            int startIndex,
                            int[] entries)

    - #### arc

          void arc(int sxr,
                 int syr,
                 int exr,
                 int eyr,
                 int sxa,
                 int sya,
                 int exa,
                 int eya)

    - #### bitBlt

          void bitBlt(byte[] image,
                    int dx,
                    int dy,
                    int dw,
                    int dh,
                    int sx,
                    int sy,
                    long rop)

    - #### chord

          void chord(int sxr,
                   int syr,
                   int exr,
                   int eyr,
                   int sxa,
                   int sya,
                   int exa,
                   int eya)

    - #### createBrushIndirect

          GdiBrush createBrushIndirect(int style,
                                     int color,
                                     int hatch)

    - #### createFontIndirect

          GdiFont createFontIndirect(int height,
                                   int width,
                                   int escapement,
                                   int orientation,
                                   int weight,
                                   boolean italic,
                                   boolean underline,
                                   boolean strikeout,
                                   int charset,
                                   int outPrecision,
                                   int clipPrecision,
                                   int quality,
                                   int pitchAndFamily,
                                   byte[] faceName)

    - #### createPalette

          GdiPalette createPalette(int version,
                                 int[] palEntry)

    - #### createPatternBrush

          GdiPatternBrush createPatternBrush(byte[] image)

    - #### createPenIndirect

          GdiPen createPenIndirect(int style,
                                 int width,
                                 int color)

    - #### createRectRgn

          GdiRegion createRectRgn(int left,
                                int top,
                                int right,
                                int bottom)

    - #### deleteObject

          void deleteObject(GdiObject obj)

    - #### dibBitBlt

          void dibBitBlt(byte[] image,
                       int dx,
                       int dy,
                       int dw,
                       int dh,
                       int sx,
                       int sy,
                       long rop)

    - #### dibCreatePatternBrush

          GdiPatternBrush dibCreatePatternBrush(byte[] image,
                                              int usage)

    - #### dibStretchBlt

          void dibStretchBlt(byte[] image,
                           int dx,
                           int dy,
                           int dw,
                           int dh,
                           int sx,
                           int sy,
                           int sw,
                           int sh,
                           long rop)

    - #### ellipse

          void ellipse(int sx,
                     int sy,
                     int ex,
                     int ey)

    - #### escape

          void escape(byte[] data)

    - #### excludeClipRect

          int excludeClipRect(int left,
                            int top,
                            int right,
                            int bottom)

    - #### extFloodFill

          void extFloodFill(int x,
                          int y,
                          int color,
                          int type)

    - #### extTextOut

          void extTextOut(int x,
                        int y,
                        int options,
                        int[] rect,
                        byte[] text,
                        int[] lpdx)

    - #### fillRgn

          void fillRgn(GdiRegion rgn,
                     GdiBrush brush)

    - #### floodFill

          void floodFill(int x,
                       int y,
                       int color)

    - #### frameRgn

          void frameRgn(GdiRegion rgn,
                      GdiBrush brush,
                      int w,
                      int h)

    - #### intersectClipRect

          void intersectClipRect(int left,
                               int top,
                               int right,
                               int bottom)

    - #### invertRgn

          void invertRgn(GdiRegion rgn)

    - #### lineTo

          void lineTo(int ex,
                    int ey)

    - #### moveToEx

          void moveToEx(int x,
                      int y,
                      Point old)

    - #### offsetClipRgn

          void offsetClipRgn(int x,
                           int y)

    - #### offsetViewportOrgEx

          void offsetViewportOrgEx(int x,
                                 int y,
                                 Point point)

    - #### offsetWindowOrgEx

          void offsetWindowOrgEx(int x,
                               int y,
                               Point point)

    - #### paintRgn

          void paintRgn(GdiRegion rgn)

    - #### patBlt

          void patBlt(int x,
                    int y,
                    int width,
                    int height,
                    long rop)

    - #### pie

          void pie(int sx,
                 int sy,
                 int ex,
                 int ey,
                 int sxr,
                 int syr,
                 int exr,
                 int eyr)

    - #### polygon

          void polygon(Point[] points)

    - #### polyline

          void polyline(Point[] points)

    - #### polyPolygon

          void polyPolygon(Point[][] points)

    - #### realizePalette

          void realizePalette()

    - #### restoreDC

          void restoreDC(int savedDC)

    - #### rectangle

          void rectangle(int sx,
                       int sy,
                       int ex,
                       int ey)

    - #### resizePalette

          void resizePalette(GdiPalette palette)

    - #### roundRect

          void roundRect(int sx,
                       int sy,
                       int ex,
                       int ey,
                       int rw,
                       int rh)

    - #### seveDC

          void seveDC()

    - #### scaleViewportExtEx

          void scaleViewportExtEx(int x,
                                int xd,
                                int y,
                                int yd,
                                Size old)

    - #### scaleWindowExtEx

          void scaleWindowExtEx(int x,
                              int xd,
                              int y,
                              int yd,
                              Size old)

    - #### selectClipRgn

          void selectClipRgn(GdiRegion rgn)

    - #### selectObject

          void selectObject(GdiObject obj)

    - #### selectPalette

          void selectPalette(GdiPalette palette,
                           boolean mode)

    - #### setBkColor

          void setBkColor(int color)

    - #### setBkMode

          void setBkMode(int mode)

    - #### setDIBitsToDevice

          void setDIBitsToDevice(int dx,
                               int dy,
                               int dw,
                               int dh,
                               int sx,
                               int sy,
                               int startscan,
                               int scanlines,
                               byte[] image,
                               int colorUse)

    - #### setLayout

          void setLayout(long layout)

    - #### setMapMode

          void setMapMode(int mode)

    - #### setMapperFlags

          void setMapperFlags(long flags)

    - #### setPaletteEntries

          void setPaletteEntries(GdiPalette palette,
                               int startIndex,
                               int[] entries)

    - #### setPixel

          void setPixel(int x,
                      int y,
                      int color)

    - #### setPolyFillMode

          void setPolyFillMode(int mode)

    - #### setRelAbs

          void setRelAbs(int mode)

    - #### setROP2

          void setROP2(int mode)

    - #### setStretchBltMode

          void setStretchBltMode(int mode)

    - #### setTextAlign

          void setTextAlign(int align)

    - #### setTextCharacterExtra

          void setTextCharacterExtra(int extra)

    - #### setTextColor

          void setTextColor(int color)

    - #### setTextJustification

          void setTextJustification(int breakExtra,
                                  int breakCount)

    - #### setViewportExtEx

          void setViewportExtEx(int x,
                              int y,
                              Size old)

    - #### setViewportOrgEx

          void setViewportOrgEx(int x,
                              int y,
                              Point old)

    - #### setWindowExtEx

          void setWindowExtEx(int width,
                            int height,
                            Size old)

    - #### setWindowOrgEx

          void setWindowOrgEx(int x,
                            int y,
                            Point old)

    - #### stretchBlt

          void stretchBlt(byte[] image,
                        int dx,
                        int dy,
                        int dw,
                        int dh,
                        int sx,
                        int sy,
                        int sw,
                        int sh,
                        long rop)

    - #### stretchDIBits

          void stretchDIBits(int dx,
                           int dy,
                           int dw,
                           int dh,
                           int sx,
                           int sy,
                           int sw,
                           int sh,
                           byte[] image,
                           int usage,
                           long rop)

    - #### textOut

          void textOut(int x,
                     int y,
                     byte[] text)

    - #### footer

          void footer()